!
!  create_intf_list.f90
!
      subroutine mkintf_list(index,ncs,is1,ie1,js1,je1,ks1,ke1)
      implicit none
      integer :: ncs,is1,ie1,js1,je1,ks1,ke1
      integer :: index(ncs,4)
      integer :: i,j,k,n
!
      n=0      
      do i=is1,ie1
      do j=js1,je1
      do k=ks1,ke1
        n=n+1
        index(n,1)=i
        index(n,2)=j
        index(n,3)=k
        index(n,4)=1                         
      enddo
      enddo
      enddo      
!      
      end subroutine mkintf_list      